#### PyKDE - Python Bindings for KDE

# class KTimezone

Table of contents
Modules
kdecore Classes
All Classes

Module | kdecore
Class | KTimezone
Inherits |

### methods

- KTimezone (db, name, countryCode = QString (), latitude = KTimezone .UNKNOWN, longitude = KTimezone .UNKNOWN, comment = QString ())

  returns a KTimezone instance
  In versions KDE 3.5.0 and above only

  Argument | Type | Default
  --- | --- | ---
  db | KSharedPtr<KTimezoneSource> |
  name | QString |
  countryCode | QString | QString ()
  latitude | float | KTimezone .UNKNOWN
  longitude | float | KTimezone .UNKNOWN
  comment | QString | QString ()

- KTimezone (a0)

  returns a KTimezone instance
  In versions KDE 3.5.0 and above only

  Argument | Type | Default
  --- | --- | ---
  a0 | KTimezone |

- comment ()

  returns (QString)
  In versions KDE 3.5.0 and above only

- convert (newZone, dateTime)

  returns (QDateTime)
  In versions KDE 3.5.0 and above only

  Argument | Type | Default
  --- | --- | ---
  newZone | KTimezone |
  dateTime | QDateTime |

- countryCode ()

  returns (QString)
  In versions KDE 3.5.0 and above only

- isValidLatitude (latitude)

  returns (bool)
  In versions KDE 3.5.0 and above only
  static

  Argument | Type | Default
  --- | --- | ---
  latitude | float |

- isValidLongitude (longitude)

  returns (bool)
  In versions KDE 3.5.0 and above only
  static

  Argument | Type | Default
  --- | --- | ---
  longitude | float |

- latitude ()

  returns (float)
  In versions KDE 3.5.0 and above only

- longitude ()

  returns (float)
  In versions KDE 3.5.0 and above only

- name ()

  returns (QString)
  In versions KDE 3.5.0 and above only

- offset (basisSpec = Qt .UTC)

  returns (int)
  In versions KDE 3.5.0 and above only

  Argument | Type | Default
  --- | --- | ---
  basisSpec | Qt.TimeSpec | Qt .UTC

- offset (dateTime)

  returns (int)
  In versions KDE 3.5.0 and above only

  Argument | Type | Default
  --- | --- | ---
  dateTime | QDateTime |

- parse (dataReceiver)

  returns (bool)
  In versions KDE 3.5.0 and above only

  Argument | Type | Default
  --- | --- | ---
  dataReceiver | KTimezoneDetails |

### variables

- variables

  Variable | Type
  --- | ---
  UNKNOWN | float